from django.views.decorators.http import require_http_methods

from backend.Service.DocumentCategoryService import DocumentCategoryService


@require_http_methods(['POST'])
def Create(reqeust):
    return DocumentCategoryService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return DocumentCategoryService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return DocumentCategoryService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return DocumentCategoryService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return DocumentCategoryService.Search(reqeust)
